"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterObject = void 0;
const validateQueryProperty_1 = require("../utils/validateQueryProperty");
const isObject_1 = __importDefault(require("lodash/isObject"));
const filterObject = (key) => (obj, { operators }) => {
    if (obj && !(0, isObject_1.default)(obj)) {
        throw new Error(`Invalid query parameter: '${key}'. It has to be an object`);
    }
    return (0, validateQueryProperty_1.validateQueryProperty)(obj, operators);
};
exports.filterObject = filterObject;
